(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     80446,       1870]
NotebookOptionsPosition[     77834,       1830]
NotebookOutlinePosition[     78175,       1845]
CellTagsIndexPosition[     78132,       1842]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Ejemplo", " ", "4"}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nodos", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Fx", ",", "Fy", ",", "Mz"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "L", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"L", ",", "L", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", 
           RowBox[{"-", "F"}], ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", "L"}], ",", "L", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"F", "/", "6"}], ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"2", "L"}], ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Fx", ",", "Fy", ",", "Mz"}], "}"}]}], "}"}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"material", "=", 
     RowBox[{"{", 
      RowBox[{"{", "vE", "}"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"perfil", "=", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"A", ",", "Iz", ",", "Mp"}], "}"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"barras", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"2", ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"3", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"4", ",", "5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"5", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datos", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"L", "\[Rule]", "4"}], ",", 
       RowBox[{"vE", "\[Rule]", 
        RowBox[{"2.1", " ", 
         RowBox[{"10", "^", "11"}]}]}], ",", 
       RowBox[{"Iz", "\[Rule]", 
        RowBox[{"8360", " ", 
         RowBox[{"10", "^", 
          RowBox[{"-", "8"}]}]}]}], ",", 
       RowBox[{"S", "\[Rule]", 
        RowBox[{"628", " ", 
         RowBox[{"10", "^", 
          RowBox[{"-", "6"}]}]}]}], ",", 
       RowBox[{"\[Sigma]F", "\[Rule]", 
        RowBox[{"275", " ", 
         RowBox[{"10", "^", "6"}]}]}], ",", 
       RowBox[{"Mp", "\[Rule]", 
        RowBox[{"S", " ", "\[Sigma]F"}]}]}], "}"}]}], ";"}], "\n", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Matriz", " ", "homog\[EAcute]nea"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"matrizT", "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "Li", ",", "\[Lambda]x", ",", "\[Lambda]y", ",", "\[Lambda]z"}], 
        "}"}], ",", " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"nd", "=", 
         RowBox[{"Length", "[", "nodos", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nb", "=", 
         RowBox[{"Length", "[", "barras", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"mT", "=", 
         RowBox[{
          RowBox[{"T", "[", "1", "]"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", 
               RowBox[{"q", "[", "1", "]"}]}], ",", "0", ",", "0"}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"q", "[", "1", "]"}], ",", "1", ",", "0", ",", "0"}], 
             "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", 
           RowBox[{"nd", "-", "1"}]}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Li", "=", 
             RowBox[{"Norm", "[", 
              RowBox[{
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"i", "+", "1"}], ",", "1"}], "]"}], "]"}], "-", 
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]x", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"i", "+", "1"}], ",", "1", ",", "1"}], "]"}], 
                 "]"}], "-", 
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "1", ",", "1"}], "]"}], "]"}]}], ")"}], 
              "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]y", "=", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"i", "+", "1"}], ",", "1", ",", "2"}], "]"}], 
                 "]"}], "-", 
                RowBox[{"nodos", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "1", ",", "2"}], "]"}], "]"}]}], ")"}], 
              "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"\[Lambda]z", "=", 
             RowBox[{"0", "/", "Li"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"T", "[", 
              RowBox[{"i", "+", "1"}], "]"}], "=", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"1", ",", 
                 RowBox[{"-", 
                  RowBox[{"q", "[", 
                   RowBox[{"i", "+", "1"}], "]"}]}], ",", "0", ",", 
                 RowBox[{"\[Lambda]x", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"q", "[", 
                  RowBox[{"i", "+", "1"}], "]"}], ",", "1", ",", "0", ",", 
                 RowBox[{"\[Lambda]y", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "1", ",", 
                 RowBox[{"\[Lambda]z", " ", "Li"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"mT", "=", 
             RowBox[{"mT", ".", 
              RowBox[{"T", "[", 
               RowBox[{"i", "+", "1"}], "]"}]}]}], ";"}], 
           "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "]"}], ";", 
        "\[IndentingNewLine]", "mT"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{"(*", 
    RowBox[{"R\[OAcute]tulas", " ", "pl\[AAcute]sticas"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"NPR", ",", "Comp"}], "}"}], "=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"NPR", ",", "Comp"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"NPR", "=", "0"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Comp", "=", 
         RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", 
          RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
          RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"nodos", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], 
                 "\[Equal]", "Fx"}], "||", 
                RowBox[{
                 RowBox[{"nodos", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], 
                 "\[Equal]", "Fy"}]}], ")"}], "&&", 
              RowBox[{
               RowBox[{"nodos", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "2", ",", "3"}], "]"}], "]"}], "\[Equal]", 
               "0"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "=", "NPR"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "0"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "+=", "1"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "1"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"NPR", "+=", "1"}], ",", 
               RowBox[{"Comp", "=", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"Comp", ",", "1"}], "]"}]}]}], "}"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"NPR", ",", "Comp"}], "}"}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Comp", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de \>\"",
       ",", "NPR"}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Ecuaciones", " ", "de", " ", "equilibrio"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GH", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"For", "[", 
     RowBox[{
      RowBox[{"i", "=", "1"}], ",", 
      RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
      RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], "\[Equal]", 
          "Fx"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], "\[Equal]", 
          "Fy"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"nodos", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2", ",", "3"}], "]"}], "]"}], "\[Equal]", 
          "Mz"}], ",", 
         RowBox[{"GH", "+=", "1"}]}], "]"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"GH", "=", 
     RowBox[{"GH", "-", "3"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"nodos", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1", ",", "2"}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{"GH", "=", 
       RowBox[{"GH", "-", "1"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"EQ", "=", 
     RowBox[{"NPR", "-", "GH"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ecuaciones de equilibrio = \>\"", ",", " ", "EQ"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Ecuaciones de compatibilidad = \>\"", ",", " ", "GH"}], 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Posibles", " ", "mecanismo", " ", "de", " ", "colapso", " ", 
     RowBox[{"(", "todos", ")"}]}], "*)"}], "\n", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mec", "=", 
     RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mec", "=", 
     RowBox[{"Subsets", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", 
           RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
           RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Comp", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "1"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"AppendTo", "[", 
              RowBox[{"mec", ",", 
               RowBox[{"barras", "[", 
                RowBox[{"[", 
                 RowBox[{"i", ",", "1", ",", "1"}], "]"}], "]"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], ";",
          "\[IndentingNewLine]", "mec"}], ")"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"NPR", "-", 
          RowBox[{"(", 
           RowBox[{"nd", "-", "3"}], ")"}]}], ",", "NPR"}], "}"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<Todas las posibles combinaciones de r\[OAcute]tulas \
pl\[AAcute]sticas son:\>\"", ",", "mec"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mecnec", "=", "mec"}], ";"}], "\[IndentingNewLine]", "\n", 
   RowBox[{"For", "[", 
    RowBox[{
     RowBox[{"avanza", "=", 
      RowBox[{"Length", "[", 
       RowBox[{"mecnec", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "]"}]}], ",", 
     RowBox[{"avanza", "\[LessEqual]", 
      RowBox[{"Length", "[", "nodos", "]"}]}], ",", 
     RowBox[{"avanza", "++"}], ",", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"mecextra", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", 
              RowBox[{"Length", "[", "mecnec", "]"}]}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", 
                 RowBox[{"mecnec", "[", 
                  RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[Equal]", 
                "avanza"}], ",", 
               RowBox[{"AppendTo", "[", 
                RowBox[{"mecextra", ",", 
                 RowBox[{"mecnec", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"mec", "=", "mecextra"}], ";", "\[IndentingNewLine]", 
           RowBox[{"dim", "=", 
            RowBox[{"Length", "[", "mecextra", "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"mec2", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", "dim"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"mec2", "[", 
                RowBox[{"[", "i", "]"}], "]"}], "=", 
               RowBox[{"mec", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"j", "=", "1"}], ",", 
                RowBox[{"j", "\[LessEqual]", 
                 RowBox[{"nd", "-", 
                  RowBox[{"Length", "[", 
                   RowBox[{"mec", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}]}]}], ",", 
                RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{
                  RowBox[{"mec2", "[", 
                   RowBox[{"[", "i", "]"}], "]"}], ",", "0"}], "]"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"mec3", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", "dim", ",", "nd"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"j", "=", "1"}], ",", 
                RowBox[{"j", "\[LessEqual]", "nd"}], ",", 
                RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}], "\[NotEqual]", 
                    "0"}], ",", 
                   RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", 
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "]"}], "]"}], 
                    "=", 
                    RowBox[{"mec2", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}]}]}], "]"}], ";"}]}],
                "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"MCp", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", "dim"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"j", "=", "1"}], ",", 
             RowBox[{"j", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"k", "=", "0"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"i", "=", "1"}], ",", 
                 RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
                 RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Comp", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "1"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "i"}], "]"}], "]"}], "\[NotEqual]", 
                    "0"}], "&&", 
                    RowBox[{"k", "\[Equal]", "0"}]}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"k", "=", "1"}], ";", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[Equal]", 
                    "\[CapitalDelta]v"}]}], "]"}]}], ")"}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"mec3", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", "i"}], "]"}], "]"}], "\[Equal]", "0"}], 
                    ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[Equal]", "0"}]}], 
                    "]"}]}], "]"}]}], ")"}]}], "\[IndentingNewLine]", "]"}]}],
                 "\[IndentingNewLine]", "]"}], ";"}], ")"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"Mecanismos", " ", "propuestos"}], ",", " ", 
             RowBox[{"ecuaciones", " ", "de", " ", "equilibrio"}]}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"\[CapitalDelta]v", "=", "0.000001"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"sol", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"gdl", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"q", "[", "i", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "1", ",", "nd"}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Do", "[", " ", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"vP", "=", 
               RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", 
                 RowBox[{"nd", "-", 
                  RowBox[{"Length", "[", 
                   RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "]"}]}]}], ",", 
                RowBox[{"i", "++"}], ",", 
                RowBox[{"(", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "1"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "4"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "2"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"i", "\[Equal]", "3"}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"vP", ",", 
                    RowBox[{"mT", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "4"}], "]"}], "]"}]}], "]"}]}], "]"}], 
                  ";", "\[IndentingNewLine]", 
                  RowBox[{"j", "=", "i"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"j", ">", "3"}], ",", 
                    RowBox[{"j", "=", "3"}]}], "]"}], ";"}], 
                 "\[IndentingNewLine]", ")"}]}], "\[IndentingNewLine]", "]"}],
               ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", "2"}], "]"}], "]"}]}], "}"}],
                     ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "2"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "3"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"kk", "=", 
                  RowBox[{
                   RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"vP", "\[Equal]", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"nd", ",", "1", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3", ",", "1"}], "}"}]}], "]"}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"MCp", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "gdl"}], "\[IndentingNewLine]", 
                    "]"}], "/.", "datos"}]}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"j", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"min", "=", 
               RowBox[{"10", "^", "10"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"i", "=", "1"}], ";", "\[IndentingNewLine]", 
              RowBox[{"Do", "[", 
               RowBox[{
                RowBox[{"s", "+=", 
                 RowBox[{
                  RowBox[{"Abs", "[", 
                   RowBox[{"q", "[", "i", "]"}], "]"}], "/.", "kk"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"nd", "-", "1"}]}], "}"}]}], "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"Do", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"s", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "<", "min"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"min", "=", 
                    RowBox[{"s", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], ",", 
                    RowBox[{"j", "=", "i"}]}], "}"}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"i", ",", 
                  RowBox[{"Length", "[", "s", "]"}]}], "}"}]}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"sol", "[", 
                RowBox[{"[", "neq", "]"}], "]"}], "=", 
               RowBox[{"kk", "[", 
                RowBox[{"[", "j", "]"}], "]"}]}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"sol2", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "dim"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"sol", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "List"}], ",", 
               ",", ",", "\[IndentingNewLine]", 
               RowBox[{"AppendTo", "[", 
                RowBox[{"sol2", ",", 
                 RowBox[{"sol", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], 
              "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"sol", "=", "sol2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"sol", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"sol", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "8"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", "desplazamientos", "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"dim", "=", 
            RowBox[{"Length", "[", "sol", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"\[Delta]", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"Table", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"Dot", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"T", "[", "j", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"j", ",", "i"}], "}"}]}], "]"}]}], ")"}], "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "4"}], 
                    "]"}], "]"}], ")"}], "-", 
                   RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "1"}], "]"}], "]"}]}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"i", ",", "nd"}], "}"}]}], "\[IndentingNewLine]", 
                 "]"}], "/.", 
                RowBox[{"sol", "[", 
                 RowBox[{"[", "neq", "]"}], "]"}]}], "/.", "datos"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"\[Delta]", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"\[Delta]", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Aplicar", " ", "el", " ", "PDV"}], "*)"}], "\n", 
           "\[IndentingNewLine]", 
           RowBox[{"eq", "=", 
            RowBox[{
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"\[Delta]", "[", 
                    RowBox[{"[", 
                    RowBox[{"neq", ",", "i"}], "]"}], "]"}], ".", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2"}], "]"}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], "-", 
                    RowBox[{"Sum", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], 
                    RowBox[{"q", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], ")"}], "/", 
                  "\[CapitalDelta]v"}], "/.", 
                 RowBox[{"sol", "[", 
                  RowBox[{"[", "neq", "]"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], "/.", 
              RowBox[{"(", 
               RowBox[{"0.0", "\[Rule]", "0"}], ")"}]}], "//", "Simplify"}]}],
            ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Ensayo", " ", "de", " ", "mecanismos"}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Mreal", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"i", "=", "1"}], ",", 
                RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
                RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", " ", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"q", "[", "i", "]"}], "\[NotEqual]", "0"}], "/.", 
                    RowBox[{
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "||", 
                    RowBox[{
                    RowBox[{"Comp", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "0"}]}]}], 
                   ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{"(", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"repite", "\[Equal]", "1"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"Sign", "[", 
                    RowBox[{"q", "[", "i", "]"}], "]"}], "Mp"}]}], "/.", 
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{
                    RowBox[{"-", 
                    RowBox[{"Sign", "[", 
                    RowBox[{"q", "[", "i", "]"}], "]"}]}], "Mp"}]}], "/.", 
                    RowBox[{"sol", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}]}], 
                    "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", 
                    ")"}]}], "]"}]}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"\[Theta]", "[", "i", "]"}], "\[Rule]", "0"}]}], 
                    "]"}]}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "=", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", "0"}]}], 
                    "]"}]}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
             ",", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"Ecuaciones", " ", "de", " ", "compatibilidad"}], "*)"}], 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"cc", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
             RowBox[{"i", "++"}], ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Comp", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "\[Equal]", "0"}], ",", 
               RowBox[{"(", 
                RowBox[{"AppendTo", "[", 
                 RowBox[{"cc", ",", 
                  RowBox[{
                   RowBox[{"m", "[", "i", "]"}], "\[Equal]", "0"}]}], "]"}], 
                ")"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"ec", "=", 
            RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"i", "=", "1"}], ",", 
             RowBox[{"i", "\[LessEqual]", "EQ"}], ",", 
             RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"j", "=", "1"}], ",", 
               RowBox[{"j", "\[LessEqual]", "dim"}], ",", 
               RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"sol", "[", 
                    RowBox[{"[", 
                    RowBox[{"j", ",", 
                    RowBox[{"nd", "-", "i", "+", "1"}], ",", "2"}], "]"}], 
                    "]"}], "\[NotEqual]", "0"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"ec", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "/.", 
                    RowBox[{"F", "\[Rule]", "0"}]}], "/.", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"M", "[", "i", "]"}], "\[Rule]", 
                    RowBox[{"m", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"j", "=", "dim"}], ";", 
                    RowBox[{
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "=", "0"}]}], ")"}]}], 
                 "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]",
               "]"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"mvirtual", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Solve", "[", "\[IndentingNewLine]", 
                RowBox[{"Join", "[", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"Table", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"m", "[", "i", "]"}], "\[Equal]", 
                    RowBox[{"DiscreteDelta", "[", 
                    RowBox[{"j", "-", "i"}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "GH"}], "}"}]}], "]"}], ",", "cc", ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"ec", "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "EQ", "}"}]}], "]"}]}], "}"}]}], 
                 "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "]"}], 
               "[", 
               RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"j", ",", "GH"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"mvirtual", "=", 
            RowBox[{"Chop", "[", 
             RowBox[{"mvirtual", ",", 
              RowBox[{"10", "^", 
               RowBox[{"-", "6"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"EC", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"pfv", "=", "0"}], ";", 
                    RowBox[{"i", "=", "1"}]}], ",", 
                   RowBox[{"i", "\[LessEqual]", 
                    RowBox[{"nb", "-", "1"}]}], ",", 
                   RowBox[{"i", "++"}], ",", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Li", "=", 
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "1"}], "]"}], "]"}], "-", 
                    RowBox[{"nodos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "1"}], "]"}], "]"}]}], "]"}], "/.", 
                    "datos"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"vEi", "=", 
                    RowBox[{"material", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"barras", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
                    "1"}], "]"}], "]"}]}], " ", ";", "\[IndentingNewLine]", 
                    RowBox[{"Izi", "=", 
                    RowBox[{"perfil", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"barras", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
                    "2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"Mi", "=", 
                    RowBox[{"M", "[", "i", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Mj", "=", 
                    RowBox[{"M", "[", 
                    RowBox[{"i", "+", "1"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"mi", "=", 
                    RowBox[{"m", "[", "i", "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"mj", "=", 
                    RowBox[{"m", "[", 
                    RowBox[{"i", "+", "1"}], "]"}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"pfv", "+=", 
                    RowBox[{
                    RowBox[{"Li", "/", 
                    RowBox[{"(", 
                    RowBox[{"6", " ", "vEi", " ", "Izi"}], ")"}]}], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"mi", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"2", "Mi"}], "+", "Mj"}], ")"}]}], "+", 
                    RowBox[{"mj", 
                    RowBox[{"(", 
                    RowBox[{"Mi", "+", 
                    RowBox[{"2", "Mj"}]}], ")"}]}]}], ")"}]}]}], ";"}], 
                    "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", 
                  " ", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"pfv", "+=", 
                  RowBox[{"Sum", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"m", "[", "i", "]"}], 
                    RowBox[{"\[Theta]", "[", "i", "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"pfv", "=", 
                  RowBox[{"Simplify", "[", 
                   RowBox[{
                    RowBox[{"pfv", "/.", 
                    RowBox[{"Mreal", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "/.", 
                    RowBox[{"mvirtual", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}], "]"}]}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"j", ",", "GH"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\n", "\[IndentingNewLine]", 
           RowBox[{"adic", "=", 
            RowBox[{"Table", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Table", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                 RowBox[{"Mreal", "[", 
                  RowBox[{"[", 
                   RowBox[{"neq", ",", "i", ",", "1"}], "]"}], "]"}], 
                 "\[Equal]", 
                 RowBox[{"Mreal", "[", 
                  RowBox[{"[", 
                   RowBox[{"neq", ",", "i", ",", "2"}], "]"}], "]"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "\[IndentingNewLine]", 
               "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"{", 
               RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"incog", "=", 
            RowBox[{"Join", "[", 
             RowBox[{
              RowBox[{"{", "F", "}"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"M", "[", "i", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "]"}], ",", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"\[Theta]", "[", "i", "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"giros", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"{", "}"}], ",", 
              RowBox[{"{", "dim", "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", "nd"}], ",", 
               RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{"If", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Mreal", "[", 
                   RowBox[{"[", 
                    RowBox[{"neq", ",", "i", ",", "1"}], "]"}], "]"}], 
                  "\[Equal]", 
                  RowBox[{"M", "[", "i", "]"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"AppendTo", "[", 
                  RowBox[{
                   RowBox[{"giros", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], ",", 
                   RowBox[{"\[Theta]", "[", "i", "]"}]}], "]"}]}], 
                "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "ensayar", " ", "los", " ", "mecanismos", " ", "posibles"}], 
            "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Do", "[", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", 
                RowBox[{"Length", "[", 
                 RowBox[{"giros", "[", 
                  RowBox[{"[", "neq", "]"}], "]"}], "]"}]}], ",", 
               RowBox[{"i", "++"}], ",", 
               RowBox[{"{", " ", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "1"}], ",", 
                  RowBox[{"j", "\[LessEqual]", 
                   RowBox[{
                    RowBox[{"Length", "[", "eq", "]"}], "-", "EQ", "+", 
                    "1"}]}], ",", 
                  RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"{", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"add", "=", 
                    RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"k", "=", "j"}], ",", 
                    RowBox[{"k", "\[LessEqual]", 
                    RowBox[{"EQ", "+", "j", "-", "1"}]}], ",", 
                    RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"add", ",", 
                    RowBox[{"eq", "[", 
                    RowBox[{"[", "k", "]"}], "]"}]}], "]"}]}], 
                    "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"sol", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Solve", "[", " ", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"EC", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "GH", "}"}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"add", "\[Equal]", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "EQ", "}"}]}], "]"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"giros", "[", 
                    RowBox[{"[", 
                    RowBox[{"neq", ",", "i"}], "]"}], "]"}], "}"}], 
                    "\[Equal]", 
                    RowBox[{"{", "0", "}"}]}]}], "\[IndentingNewLine]", "}"}],
                     ",", "\[IndentingNewLine]", 
                    RowBox[{"adic", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}]}], "\[IndentingNewLine]",
                     "]"}], ",", "incog"}], "\[IndentingNewLine]", "]"}], "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "/.", 
                    RowBox[{"(", 
                    RowBox[{"0.0", "\[Rule]", "0"}], ")"}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Refine", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"And", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Abs", "[", 
                    RowBox[{"M", "[", "i", "]"}], "]"}], "\[LessEqual]", 
                    "Mp"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "/.", "sol"}],
                     ")"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Assumptions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Mp", ">", "0"}], ",", 
                    RowBox[{"Iz", ">", "0"}], ",", 
                    RowBox[{"vE", ">", "0"}]}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Refine", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"And", "@@", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sign", "[", 
                    RowBox[{
                    RowBox[{"\[Theta]", "[", "i", "]"}], 
                    RowBox[{"M", "[", "i", "]"}]}], "]"}], "\[GreaterEqual]", 
                    "0"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"i", ",", "nd"}], "}"}]}], "]"}]}], "/.", "sol"}],
                     ")"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Assumptions", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Mp", ">", "0"}], ",", 
                    RowBox[{"Iz", ">", "0"}], ",", 
                    RowBox[{"vE", ">", "0"}]}], "}"}]}]}], 
                    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"solucion", "=", "sol"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"i", "=", 
                    RowBox[{"Length", "[", 
                    RowBox[{"giros", "[", 
                    RowBox[{"[", "neq", "]"}], "]"}], "]"}]}]}], "}"}]}], " ",
                     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
                    "]"}]}], "\[IndentingNewLine]", "}"}]}], 
                 "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", "}"}]}],
               "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"neq", ",", "dim"}], "}"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"solucion", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "2"}], "]"}], "]"}], "//.", "datos"}], 
               ")"}], "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"solucion", "=", 
                RowBox[{"(", 
                 RowBox[{"solucion", "//.", "datos"}], ")"}]}], ",", 
               RowBox[{"repite", "=", "2"}]}], "}"}]}], "]"}], ";"}], 
          "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"repite", ",", "2"}], "}"}]}], "\[IndentingNewLine]", "]"}],
        ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"solucion", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2"}], "]"}], "]"}], "//.", "datos"}], ")"}], 
          "\[GreaterEqual]", "0"}], ",", 
         RowBox[{"avanza", "=", 
          RowBox[{
           RowBox[{"Length", "[", "nodos", "]"}], "+", "1"}]}]}], "]"}], 
       ";"}], "\[IndentingNewLine]", "}"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"MatrixForm", "[", 
    RowBox[{"solucion", "//.", "datos"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7607980090067687`*^9, 3.760798030177006*^9}, 
   3.7607980994309287`*^9, {3.762006650212393*^9, 3.762006650582414*^9}, 
   3.765169190908366*^9, {3.765169354615055*^9, 3.7651693636915812`*^9}, {
   3.7652853769768686`*^9, 3.7652854218299475`*^9}, {3.765375305841471*^9, 
   3.7653753397805314`*^9}, 3.7694300462771935`*^9, {3.770119246859029*^9, 
   3.770119318818181*^9}, {3.7701194454526334`*^9, 3.7701194517536564`*^9}, {
   3.770119524648168*^9, 3.7701195587179775`*^9}, {3.7701196065664005`*^9, 
   3.770119613473816*^9}, 3.770119771442543*^9, {3.7701198194781885`*^9, 
   3.7701198486487875`*^9}, {3.770120060396432*^9, 3.7701200664584804`*^9}, {
   3.7701204603171577`*^9, 3.770120460785159*^9}, 3.7701208165403166`*^9, {
   3.770120855088713*^9, 3.770120953794075*^9}, {3.7701210106821084`*^9, 
   3.7701210291968155`*^9}, {3.770121113249881*^9, 3.7701211191267633`*^9}, {
   3.770121191800905*^9, 3.7701211923143225`*^9}, {3.7701213551661935`*^9, 
   3.7701214088081627`*^9}, {3.7701215195237374`*^9, 3.7701215292347913`*^9}, 
   3.7702098705951486`*^9, 3.7702099961793737`*^9, 3.7702100531384745`*^9, 
   3.776527292455079*^9},
 CellLabel->"In[1]:=",ExpressionUUID->"ff944eba-3f9f-4465-be2d-39da145a3a64"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de \
\"\>", "\[InvisibleSpace]", "5"}],
  SequenceForm[
  "El n\[UAcute]mero de posibles r\[OAcute]tulas plasticas es de ", 5],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7701210297272162`*^9, 3.7701210589370546`*^9}, 
   3.770121587255351*^9, 3.770209998534978*^9, 3.7765271877926025`*^9, 
   3.7765272309548607`*^9, {3.7765272967030725`*^9, 3.776527323969905*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"95abcdda-b474-43f8-bd38-1f644a896a8b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ecuaciones de equilibrio = \"\>", "\[InvisibleSpace]", "2"}],
  SequenceForm["Ecuaciones de equilibrio = ", 2],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7701210297272162`*^9, 3.7701210589370546`*^9}, 
   3.770121587255351*^9, 3.770209998534978*^9, 3.7765271877926025`*^9, 
   3.7765272309548607`*^9, {3.7765272967030725`*^9, 3.776527323974903*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"dc72a9fe-b4f1-42bb-afde-94e8f6fa2bb7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Ecuaciones de compatibilidad = \"\>", "\[InvisibleSpace]", 
   "3"}],
  SequenceForm["Ecuaciones de compatibilidad = ", 3],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7701210297272162`*^9, 3.7701210589370546`*^9}, 
   3.770121587255351*^9, 3.770209998534978*^9, 3.7765271877926025`*^9, 
   3.7765272309548607`*^9, {3.7765272967030725`*^9, 3.7765273239799013`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"045b666b-e672-4b8f-951f-a56425236eb2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Todas las posibles combinaciones de r\[OAcute]tulas \
pl\[AAcute]sticas son:\"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3", ",", "4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Todas las posibles combinaciones de r\[OAcute]tulas pl\[AAcute]sticas \
son:", {{1, 2, 3}, {1, 2, 4}, {1, 2, 5}, {1, 3, 4}, {1, 3, 5}, {1, 4, 5}, {2, 
    3, 4}, {2, 3, 5}, {2, 4, 5}, {3, 4, 5}, {1, 2, 3, 4}, {1, 2, 3, 5}, {1, 2,
     4, 5}, {1, 3, 4, 5}, {2, 3, 4, 5}, {1, 2, 3, 4, 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.7701210297272162`*^9, 3.7701210589370546`*^9}, 
   3.770121587255351*^9, 3.770209998534978*^9, 3.7765271877926025`*^9, 
   3.7765272309548607`*^9, {3.7765272967030725`*^9, 3.7765273239858932`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"3a7333bf-7461-4529-b429-40b7547c517c"]
}, Open  ]],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,21,1,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, {3.7765272967860303`*^9, 3.7765273240888405`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"3fdde957-5cd3-443d-b7b0-0f8036e4b9a3"],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,21,2,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, {3.7765272967860303`*^9, 3.7765273241588025`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"eee7a47b-c3e9-4142-8887-d79ace2ed93c"],

Cell[BoxData[
 TemplateBox[{
  "Solve","ratnz",
   "\"Solve was unable to solve the system with inexact coefficients. The \
answer was obtained by solving a corresponding exact system and numericizing \
the result.\"",2,21,3,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, {3.7765272967860303`*^9, 3.776527324200777*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"35f77653-095a-4a70-b5ba-2f86ac752e0f"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Solve\\\", \\\"::\\\", \
\\\"ratnz\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,21,4,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, {3.7765272967860303`*^9, 3.77652732421177*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"af8c3b05-64ca-4deb-aec4-88ff2c8fc80d"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   21,5,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, {3.7765272967860303`*^9, 3.7765273243346996`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"6f6b30de-815e-4e6a-8409-bce43292bd97"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   21,6,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, {3.7765272967860303`*^9, 3.776527324359686*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"6d8c7f52-33ac-4eec-9766-af97ec3b4ee3"],

Cell[BoxData[
 TemplateBox[{
  "Solve","svars",
   "\"Equations may not give solutions for all \\\"solve\\\" variables.\"",2,
   21,7,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, {3.7765272967860303`*^9, 3.776527324370679*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"20b58757-ef3f-4cc2-af1d-d98c18f9bd66"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Solve\\\", \\\"::\\\", \
\\\"svars\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,21,8,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, {3.7765272967860303`*^9, 3.776527324382682*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"830a3c61-9223-4c69-b9d2-f7e64a4293cb"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"1\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"}\\\"}]\\) does not exist.\"",2,21,9,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, {3.7765272967860303`*^9, 3.7765273245106153`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"83ff143c-597e-430c-a10c-940a9397e47f"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll","reps",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \\\"}\\\"}], \
\\\"\[LeftDoubleBracket]\\\", \\\"1\\\", \\\"\[RightDoubleBracket]\\\"}], \
\\\"}\\\"}]\\) is neither a list of replacement rules nor a valid dispatch \
table, and so cannot be used for replacing.\"",2,21,10,24515811459697979086,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, {3.7765272967860303`*^9, 3.7765273245585885`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"3256b874-6fbc-4216-8c31-ffd8df46a684"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"1\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"}\\\"}]\\) does not exist.\"",2,21,11,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, {3.7765272967860303`*^9, 3.7765273251722784`*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"c5867e4a-75c3-434b-9c15-f48bd51e07b0"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll","reps",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \\\"}\\\"}], \
\\\"\[LeftDoubleBracket]\\\", \\\"1\\\", \\\"\[RightDoubleBracket]\\\"}], \
\\\"}\\\"}]\\) is neither a list of replacement rules nor a valid dispatch \
table, and so cannot be used for replacing.\"",2,21,12,24515811459697979086,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, {3.7765272967860303`*^9, 3.776527325196272*^9}},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"09eba773-c2f7-4394-9f00-92c2cc5cdea2"],

Cell[BoxData[
 TemplateBox[{
  "Part","partw",
   "\"Part \\!\\(\\*RowBox[{\\\"1\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
\\\"}\\\"}]\\) does not exist.\"",2,21,13,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, 3.7765272967860303`*^9, 3.776527327100193*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"f3506c7f-6816-4c03-b668-893b52a3c2d0"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"Part\\\", \\\"::\\\", \
\\\"partw\\\"}], \\\"MessageName\\\"]\\) will be suppressed during this \
calculation.\"",2,21,14,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, 3.7765272967860303`*^9, 3.7765273271281776`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"1e43a52a-f529-4c28-a7cb-0249ffee0345"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll","reps",
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \\\"}\\\"}], \
\\\"\[LeftDoubleBracket]\\\", \\\"1\\\", \\\"\[RightDoubleBracket]\\\"}], \
\\\"}\\\"}]\\) is neither a list of replacement rules nor a valid dispatch \
table, and so cannot be used for replacing.\"",2,21,15,24515811459697979086,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, 3.7765272967860303`*^9, 3.776527327160159*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"0751c84c-fecb-46ce-a6e8-26c1bfafc0a0"],

Cell[BoxData[
 TemplateBox[{
  "General","stop",
   "\"Further output of \\!\\(\\*StyleBox[RowBox[{\\\"ReplaceAll\\\", \
\\\"::\\\", \\\"reps\\\"}], \\\"MessageName\\\"]\\) will be suppressed during \
this calculation.\"",2,21,16,24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, 3.7765272967860303`*^9, 3.77652732717715*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"e001dd50-ca8a-474b-a4a4-e85e961f8452"],

Cell[BoxData[
 TemplateBox[{
  "Part","partd",
   "\"Part specification \\!\\(\\*RowBox[{\\\"solucion\\\", \\\"\
\[LeftDoubleBracket]\\\", RowBox[{\\\"1\\\", \\\",\\\", \\\"2\\\"}], \\\"\
\[RightDoubleBracket]\\\"}]\\) is longer than depth of object.\"",2,21,17,
   24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, 3.7765272967860303`*^9, 3.776527337660241*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"684cc5a4-3402-4428-9a0a-ca7376fb1731"],

Cell[BoxData[
 TemplateBox[{
  "Part","partd",
   "\"Part specification \\!\\(\\*RowBox[{\\\"solucion\\\", \\\"\
\[LeftDoubleBracket]\\\", RowBox[{\\\"1\\\", \\\",\\\", \\\"2\\\"}], \\\"\
\[RightDoubleBracket]\\\"}]\\) is longer than depth of object.\"",2,21,18,
   24515811459697979086,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7701210300704165`*^9, 3.7701210592022552`*^9}, 
   3.7701215877389517`*^9, 3.770209998768978*^9, 3.7765271879075165`*^9, 
   3.7765272311017756`*^9, 3.7765272967860303`*^9, 3.7765273470237017`*^9},
 CellLabel->
  "Durante la evaluaci\[OAcute]n de \
In[1]:=",ExpressionUUID->"458eaf2a-17b7-4a71-80ff-4a8da9f642fd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"F", "\[Rule]", "172446.1217215636`"}]},
      {
       RowBox[{
        RowBox[{"M", "[", "1", "]"}], "\[Rule]", "28103.802428942898`"}]},
      {
       RowBox[{
        RowBox[{"M", "[", "2", "]"}], "\[Rule]", 
        RowBox[{"-", "172700"}]}]},
      {
       RowBox[{
        RowBox[{"M", "[", "3", "]"}], "\[Rule]", "172700.`"}]},
      {
       RowBox[{
        RowBox[{"M", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"-", "172700"}]}]},
      {
       RowBox[{
        RowBox[{"M", "[", "5", "]"}], "\[Rule]", "144085.97906434385`"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "1", "]"}], "\[Rule]", "0"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "2", "]"}], "\[Rule]", "0"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "3", "]"}], "\[Rule]", 
        "0.03288703914482145`"}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "4", "]"}], "\[Rule]", 
        RowBox[{"-", "0.01315470157820354`"}]}]},
      {
       RowBox[{
        RowBox[{"\[Theta]", "[", "5", "]"}], "\[Rule]", "0"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.770121031821241*^9, 3.7701210603410573`*^9}, 
   3.770121589642155*^9, 3.7702100370790462`*^9, 3.7765272090723934`*^9, 
   3.7765272610925946`*^9, 3.7765273137588277`*^9, 3.7765273477978163`*^9},
 CellLabel->
  "Out[22]//MatrixForm=",ExpressionUUID->"aaf51743-5b97-4335-9889-\
6a217ba33136"]
}, Open  ]]
},
WindowSize->{624, 611},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.0 para Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 60127, 1399, 6109, "Input",ExpressionUUID->"ff944eba-3f9f-4465-be2d-39da145a3a64"],
Cell[CellGroupData[{
Cell[60732, 1425, 599, 12, 22, "Print",ExpressionUUID->"95abcdda-b474-43f8-bd38-1f644a896a8b"],
Cell[61334, 1439, 524, 10, 22, "Print",ExpressionUUID->"dc72a9fe-b4f1-42bb-afde-94e8f6fa2bb7"],
Cell[61861, 1451, 538, 11, 22, "Print",ExpressionUUID->"045b666b-e672-4b8f-951f-a56425236eb2"],
Cell[62402, 1464, 2100, 49, 77, "Print",ExpressionUUID->"3a7333bf-7461-4529-b429-40b7547c517c"]
}, Open  ]],
Cell[64517, 1516, 634, 12, 39, "Message",ExpressionUUID->"3fdde957-5cd3-443d-b7b0-0f8036e4b9a3"],
Cell[65154, 1530, 634, 12, 39, "Message",ExpressionUUID->"eee7a47b-c3e9-4142-8887-d79ace2ed93c"],
Cell[65791, 1544, 632, 12, 39, "Message",ExpressionUUID->"35f77653-095a-4a70-b5ba-2f86ac752e0f"],
Cell[66426, 1558, 631, 12, 21, "Message",ExpressionUUID->"af8c3b05-64ca-4deb-aec4-88ff2c8fc80d"],
Cell[67060, 1572, 543, 11, 21, "Message",ExpressionUUID->"6f6b30de-815e-4e6a-8409-bce43292bd97"],
Cell[67606, 1585, 541, 11, 21, "Message",ExpressionUUID->"6d8c7f52-33ac-4eec-9766-af97ec3b4ee3"],
Cell[68150, 1598, 541, 11, 21, "Message",ExpressionUUID->"20b58757-ef3f-4cc2-af1d-d98c18f9bd66"],
Cell[68694, 1611, 632, 12, 21, "Message",ExpressionUUID->"830a3c61-9223-4c69-b9d2-f7e64a4293cb"],
Cell[69329, 1625, 573, 11, 23, "Message",ExpressionUUID->"83ff143c-597e-430c-a10c-940a9397e47f"],
Cell[69905, 1638, 749, 14, 40, "Message",ExpressionUUID->"3256b874-6fbc-4216-8c31-ffd8df46a684"],
Cell[70657, 1654, 574, 11, 23, "Message",ExpressionUUID->"c5867e4a-75c3-434b-9c15-f48bd51e07b0"],
Cell[71234, 1667, 747, 14, 40, "Message",ExpressionUUID->"09eba773-c2f7-4394-9f00-92c2cc5cdea2"],
Cell[71984, 1683, 570, 11, 23, "Message",ExpressionUUID->"f3506c7f-6816-4c03-b668-893b52a3c2d0"],
Cell[72557, 1696, 632, 12, 21, "Message",ExpressionUUID->"1e43a52a-f529-4c28-a7cb-0249ffee0345"],
Cell[73192, 1710, 745, 14, 40, "Message",ExpressionUUID->"0751c84c-fecb-46ce-a6e8-26c1bfafc0a0"],
Cell[73940, 1726, 634, 12, 21, "Message",ExpressionUUID->"e001dd50-ca8a-474b-a4a4-e85e961f8452"],
Cell[74577, 1740, 671, 13, 21, "Message",ExpressionUUID->"684cc5a4-3402-4428-9a0a-ca7376fb1731"],
Cell[75251, 1755, 673, 13, 21, "Message",ExpressionUUID->"458eaf2a-17b7-4a71-80ff-4a8da9f642fd"],
Cell[75927, 1770, 1891, 57, 272, "Output",ExpressionUUID->"aaf51743-5b97-4335-9889-6a217ba33136"]
}, Open  ]]
}
]
*)

